/*====================================================================

ObjectWeb Transaction Working Group API
Contact: http://www.objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Romain Rouvoy.
Contributor(s): ______________________________________.

---------------------------------------------------------------------
$Id: ConflictCheckFeature.java,v 1.1.1.1 2003/12/01 15:14:19 rouvoy Exp $
====================================================================*/
package org.objectweb.transaction.api.conflict;

import org.objectweb.transaction.api.Feature;

/**
 * Feature for checking is a conflict component is really 
 * 
 * @author <a href="mailto:Romain.Rouvoy@lifl.fr">Romain Rouvoy</a>
 * @version 0.1
 * @adl.id name="CONFLICT_CHECK_FEATURE" value="conflict-check-feature"
 */
public interface ConflictCheckFeature 
         extends Feature 
{
    /**
     * ADL Identifier
     */
    public static final String CONFLICT_CHECK_FEATURE = "conflict-check-feature";

    /**
     * Checks if the current definition is conflictual
     * @return true if conflictual
     */
    public boolean checkConflict();
}
