/*====================================================================

ObjectWeb Transaction Working Group API
Contact: http://www.objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Romain Rouvoy.
Contributor(s): ______________________________________.

---------------------------------------------------------------------
$Id: EventListenerFeature.java,v 1.1.1.1 2003/12/01 15:14:18 rouvoy Exp $
====================================================================*/
package org.objectweb.transaction.api.event;

import org.objectweb.transaction.api.Feature;

/**
 * Feature providing the list of EventNofiticationFeature registered elements.
 * 
 * @author <a href="mailto:Romain.Rouvoy@lifl.fr">Romain Rouvoy</a>
 * @version 0.1
 * @adl.id name="EVENT_LISTENER_FEATURE" value="event-listener-feature"
 */
public interface EventListenerFeature 
         extends Feature 
{
    /**
     * ADL Identifier.
     */
    public static final String EVENT_LISTENER_FEATURE = "event-listener-feature";

    /**
     * Provides the list of all EventNotificationFeature registered elements
     * independently of the suscribed event.
     * @return the list of all EventNotificationFeature
     */
    public EventNotificationFeature[] getListeners();
    
    /**
     * Provides the list of EventNotificationFeature registered for the 
     * specified Event type.
     * @param evt the type of Event
     * @return the list of EventNotificationFeature corresponding to the Event type.
     */
    public EventNotificationFeature[] getListeners(Event evt);
}
