/*====================================================================

ObjectWeb Transaction Working Group API
Contact: http://www.objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Romain Rouvoy.
Contributor(s): ______________________________________.

---------------------------------------------------------------------
$Id: ReleaseLockFeature.java,v 1.1.1.1 2003/12/01 15:14:18 rouvoy Exp $
====================================================================*/
package org.objectweb.transaction.api.lock;

import org.objectweb.transaction.api.Feature;

/**
 * Abstract Feature Definition for a Lock Feature.
 * 
 * @author <a href="mailto:Romain.Rouvoy@lifl.fr">Romain Rouvoy</a>
 * @version 0.1
 * 
 * @adl.id name="RELEASE_LOCK_FEATURE" value="release-lock-feature"
 */
public interface ReleaseLockFeature 
         extends Feature 
{
    /**
     * ADL Identifier
     */
    public static final String RELEASE_LOCK_FEATURE = "release-lock-feature";
    
    /**
     * Release the underlying lock acquired.
     * @param id - identifier of the lock requester
     */
    public void release(LockIdentifier id);
}
